Summary
Import Triggers
Description
Import Triggers.
Route
PUT /operations-manager/triggers
Roles
admin
apiwrite
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| triggers |
array |
yes |
An array of exported Trigger documents. |
| options |
object |
yes |
Optional parameters. |
Copied to Clipboard
{
"triggers": [
{
"name": "myCoolDocumentName",
"type": "endpoint",
"enabled": false,
"actionType": "automations",
"actionId": "28d62388ec243e48c7079c71",
"verb": "POST",
"routeName": "PFp7a1Y",
"_id": "fbc8894888675a86706bbe44",
"description": "Some helpful information about the document",
"lastExecuted": 48636272,
"migrationVersion": -63110008,
"createdBy": "anim",
"created": "2006-03-26T12:07:22.336Z",
"lastUpdatedBy": "elit",
"lastUpdated": "2008-03-31T03:48:07.53Z"
}
],
"options": {
"adapterMap": {
"old_name": "new_name"
}
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"triggers": {
"title": "triggers",
"type": "array",
"items": {
"title": "triggers",
"$ref": "trigger-json"
}
},
"options": {
"title": "options",
"type": "object",
"properties": {
"adapterMap": {
"type": "object",
"description": "A mapping of provenance names to be converted upon import, specified in \"old_name\": \"new_name\" format.",
"examples": [
{
"staging": "production"
},
{
"old_name": "new_name"
}
]
}
},
"additionalProperties": false
}
},
"required": [
"triggers",
"options"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| createdTigger |
object |
The result of the import operation. |
Copied to Clipboard
{
"message": "Successfully retrieved search results",
"data": [
{
"success": true,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "ca7e3aa328de945249c34ae5",
"lastExecuted": null,
"migrationVersion": 36470708,
"createdBy": "79ec0d98e63937cded2c93fd",
"created": "1949-01-02T17:18:20.492Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "1961-02-25T20:47:13.746Z",
"_id": "2224dd2ffb1c629ded913348"
}
},
{
"success": true,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "78fba585152bc271b75114e5",
"lastExecuted": 15899909,
"migrationVersion": 2581996,
"createdBy": "376e547e4bae54eee302718b",
"created": "2024-07-11T20:53:06.104Z",
"lastUpdatedBy": "0fbf0204466a46ffad78275b",
"lastUpdated": "1975-02-17T17:31:32.551Z",
"_id": "37d5d066147c9b96ad18f1b3"
}
},
{
"success": true,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "55e385f98cd746e1591ed6ad",
"lastExecuted": null,
"migrationVersion": 76038313,
"createdBy": "ab8ae30c9f0cce95937de7e4",
"created": "1952-07-07T05:57:36.149Z",
"lastUpdatedBy": "ec73be837cb587388f4ad491",
"lastUpdated": "1962-11-25T08:51:14.621Z",
"_id": "44f4724ea13bd3a920d01c62"
}
},
{
"success": true,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "821da5391ad5fc7192cf4356",
"lastExecuted": 38644042,
"migrationVersion": 11063046,
"createdBy": "66a7046d12a092b3127c9df0",
"created": "2014-05-07T18:29:33.106Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "2005-10-02T19:59:16.335Z",
"_id": "e1f4d4f4e2f897f077d760f1"
}
},
{
"success": false,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "a11931cfd8503166e6244084",
"lastExecuted": 39213088,
"migrationVersion": -44675321,
"createdBy": "Pronghorn",
"created": "1992-05-21T18:35:06.596Z",
"lastUpdatedBy": "dc429e21ef74f49c7df10b96",
"lastUpdated": "2024-03-26T01:40:43.227Z",
"_id": "3fbe3d9264ab89f9f829c092"
}
}
]
}